package cz.senslog.connector.tools.jwt;

public class JWTHeader {

    private final String alg;
    private final String typ;

    JWTHeader(JWTDecoder.Header header) {
        this.alg = header.alg;
        this.typ = header.typ;
    }

    public JWTHeader(String alg, String typ) {
        this.alg = alg;
        this.typ = typ;
    }

    public String getAlg() {
        return alg;
    }

    public String getTyp() {
        return typ;
    }
}
